<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST[kodeaw];
$kodeak	=$_POST[kodeak];

$sql	= mysql_query("SELECT * FROM interface");
$r 	= mysql_fetch_assoc($sql);

$labapb 	= $r[laba_pb];
$labrug 	= $r[laba_rugi];
$nosublpb	= substr($labapb,0,3);
$nosublr 	= substr($labrug,0,3);

$sql1 = mysql_query("SELECT * FROM jurbm WHERE kode_bm BETWEEN '$kodeaw' AND '$kodeak' AND posting='' ORDER BY kode_bm");

while($r1=mysql_fetch_array($sql1)){
	$kodebm 	= $r1[kode_bm];
	$tanggal	= $r1[tanggal];
	$nobank 	= $r1[nobank];
	$noakun 	= $r1[noakun];
	$nobp 		= $r1[nobp];
	$nopol		= $r1[nopol];
	$jumlah		= $r1[jumlah];
	$ket 			= $r1[keterangan];
	$user 		= $r1[user];
	$nosubbk	= substr($nobank,0,3);
	$nosubak	= substr($noakun,0,3);
	$kelakun	= (int) substr($noakun,0,1);
	
	// --->debet kas bertambah
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$nobank'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodebm','JBM','$tanggal','$kodebm','$nobank','$nosubbk','$jumlah','$ket','$user')");
	
	// --->kredit akun bertambah
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$noakun'");
		
	if(!($nobp=='')){
		// --->Jika akun buku pembantu tidak kosong, kredit bertambah
		mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$nobp'");
	}
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,nopol,kredit,keterangan,user) VALUES('$kodebm','JBM','$tanggal','$kodebm','$noakun','$nosubak','$nobp','$nopol','$jumlah','$ket','$user')");
	
	if($kelakun>3){
		// --->laba rugi debet
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$labrug'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodebm','JBM','$tanggal','$kodebm','$labrug','$nosublr','$jumlah','$ket','$user')");

		// --->laba periode berjalan kredit
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$labapb'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodebm','JBM','$tanggal','$kodebm','$labapb','$nosubpb','$jumlah','$ket','$user')");
	}
} 
mysql_query("UPDATE jurbm SET posting='P' WHERE kode_bm BETWEEN '$kodeaw' AND '$kodeak' ");
?>
